Package org.freeplane.api

# Interface Edge

All Superinterfaces:
  `EdgeRO`

All Known Subinterfaces:
  `Proxy.Edge`

public interface Edge extends EdgeRO
Edge to parent node: `node.style.edge` - read-write.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setColor(Color color)`
  `void`
  `setColorCode(String rgbString)`
  `void`
  `setDash(Dash dash)`
  `void`
  `setType(String type)`
  `void`
  `setType(EdgeStyle type)`
  `void`
  `setWidth(int width)`
  can be -1 for default, 0 for thin, >0

  ### Methods inherited from interface org.freeplane.api.EdgeRO

  `getColor, getColorCode, getDash, getType, getWidth, isColorSet, isDashSet, isTypeSet, isWidthSet`

- ## Method Details

  - ### setColor

    void setColor(Color color)

  - ### setColorCode

    void setColorCode(String rgbString)
    Parameters:
      `rgbString` - a HTML color spec like #ff0000 (red) or #222222 (darkgray).
    Since:
      1.2

  - ### setType

    void setType(EdgeStyle type)

  - ### setType

    void setType(String type)

  - ### setWidth

    void setWidth(int width)
    can be -1 for default, 0 for thin, >0

  - ### setDash

    void setDash(Dash dash)
    Since:
      1.11.8